QGIS Application - Bug report #16790
QGIS fails to start on Ubuntu 16.10
2017-07-04 06:17 PM - Chris Barrington-Leigh

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.14.5 Regression?: No
Operating System: Ubuntu 16.10 Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 24689
Description

On trying to launch QGIS (even after deleting/resetting my .qgis2 folder), | get the following (and no QGIS window):

$ qgis

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_CA]

Warning: loading of gt translation failed [/usr/share/qt4/translations/qt_en_CA]

Warning: QCss::Parser - Failed to load file "/style.qss"

Warning: QMetaObiject::connectSlotsByName: No matching signal for on_wvDetails_linkClicked(QUrl)

Warning: QVariantMap DBusMenuExporterDBus::getProperties(int, const QStringList&) const: Condition failed: action
Warning: QVariantMap DBusMenuExporterDBus::getProperties(int, const QStringList&) const: Condition failed: action
QH6248 gh_lib_check: Incorrect ghull library called. Caller uses reentrant Qhull while library is non-reentrant
QH6249 gh_lib_check: Incorrect ghull library called. Size of ghT for caller is 8184, but for library is 2896.

QH6255 gh_lib_check: Cannot continue. Library 'ghull 7.2.0 (2015.2 2016/01/18)" uses a dynamic ghT via gh_QHpointer (e.g.,
ghull_p.so)

History

#1 - 2017-07-05 09:11 AM - Andre Joost

QGIS 2.14.5 is outdated (though in the official ubuntu repo).

Try http://qgis.org/debian/ yakkety main instead to get 2.14.16 (LTR) or 2.18.10 (stable), see

https://www.qgis.org/de/site/forusers/alldownloads.html#debian-ubuntu

#2 - 2017-07-05 09:26 AM - Giovanni Manghi
- Status changed from Open to Feedback

#3 - 2017-07-05 01:18 PM - Chris Barrington-Leigh

Andre Joost wrote:

QGIS 2.14.5 is outdated (though in the official ubuntu repo).

Actually, that version is the latest on the 16.10 Ubuntu release, so should be fully supported

In any case, | get exactly the same outcome after updating to the "QGIS - 2.18.10 'Las Palmas" release and dependencies.

Previously, QGIS was working for me, so something has gone wrong.
http://qgis.org/debian/
https://www.qgis.org/de/site/forusers/alldownloads.html#debian-ubuntu

#4 - 2017-07-05 01:22 PM - Giovanni Manghi

Chris Barrington-Leigh wrote:

Andre Joost wrote:

QGIS 2.14.5 is outdated (though in the official ubuntu repo).

Actually, that version is the latest on the 16.10 Ubuntu release, so should be fully supported

m

In any case, | get exactly the same outcome after updating to the "QGIS - 2.18.10 'Las Palmas" release and dependencies.

Previously, QGIS was working for me, so something has gone wrong.

16.10 is not among the supported versions

http://qgis.org/en/site/forusers/alldownloads.html#debian-ubuntu

upgrade to 17.04 and I'm sure it will be ok.

Supported distribution versions:

Distribution Version Codename Also available based on ubuntugis dependencies?
Debian 8.x jessie

testing stretch

unstable sid

Ubuntu 17.04 zesty [8]

16.04 (LTS) xenial [5] vyes

14.04 (LTS) trusty vyes

12.04 (LTS) precise[6] yes|[7]

#5 - 2017-07-05 02:02 PM - Chris Barrington-Leigh

Giovanni Manghi wrote:

16.10 is not among the supported versions

I think 16.10 was supported when | installed it! It stopped working, with the errors | reported above.

The fact that | get the same errors with 2.18.10 was only meant to be helpful for diagnosis.

| cannot update my OS.

#6 - 2017-07-05 02:05 PM - Giovanni Manghi

I cannot update my OS.

then probably your best change to have a working qgis copy is to compile the code, is not really difficult on Ubuntu.

#7 - 2017-07-05 02:16 PM - Chris Barrington-Leigh
http://qgis.org/en/site/forusers/alldownloads.html#debian-ubuntu

Thanks Giovanni. | was really hoping that someone might be able to help by interpreting the error messages | got.

#8 - 2017-07-08 11:12 AM - Andre Joost

Can you run apt-cache policy libghull7 ?

Version 2015.2-1 should be the current release.

#9 - 2017-07-09 11:11 PM - Chris Barrington-Leigh

Andre Joost wrote:

Can you run apt-cache policy libghull7 ?

Version 2015.2-1 should be the current release.

Yes, that is the version it reports.

#10 - 2017-07-09 11:13 PM - Chris Barrington-Leigh

SOLVED / workaround:

Here is what restored QGIS for me: (after reverting to the verison 2.14 of QGIS which is supported by Ubuntu 16.10):
pip install --user scipy==0.11

ie reverse a recent upgrade of a Python package I'd made.

#11 - 2017-07-10 01:56 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid

#12 - 2017-09-21 10:09 PM - Chris Barrington-Leigh

Giovanni Manghi wrote:

upgrade to 17.04 and I'm sure it will be ok.

Incidentally, exactly the same problem occurs on Ubuntu 17.04. If | upgrade scipy, QGIS fails to launch.

#13 - 2018-04-09 02:05 PM - marisn -

Chris Barrington-Leigh wrote:

SOLVED / workaround:
Here is what restored QGIS for me: (after reverting to the verison 2.14 of QGIS which is supported by Ubuntu 16.10):

pip install --user scipy==0.11
ie reverse a recent upgrade of a Python package I'd made.

This issue is caused by two incompatible components used by QGIS - gdal and scipy. After 0.11 scipy moved to "reentrant Qhull" version, but gdal seems
to still use the "non-reentrant” version. As gdal is linked into QGIS, it makes QGIS linked to "non-reentrant” Qhull too. And at this moment scipy loads and is
trying to use reentrant version of Qhull.

In short - although both gdal and scipy are fine on their own, mixing them together (in the current form) is a no go. Unfortunately my knowledge on shared

library versioning is too low to propose a solution. The fact that both gdal and scipy come with their internal Qhull copies also does not help at all. As | can
not roll back to scipy 0.11 (damn' fortran), only option for me is to disable any code importing scipy as --noplugins still loads plugins depending on scipy.
